帮助与文档

> >

MobVerify(Eclipse版)离线集成文档

SDK集成

1、下载离线SDK包:

其中包含以下内容:

  • MobDependency:公共库(必须)
  • SMSSDK:短信SDK(必须)
  • MobVerifyGUI:MobVerifyGUI核(非必须)
  • MobVerify:MobVerify核心库(必须)

MobVerifyGUI是MobVerify提供的开源GUI库,可根据需求选择使用。

2、将上述lib工程导入Eclipse,并进行依赖:

  • 让你的项目依赖MobVerifyGUI(若使用有界面API),或者直接依赖MobVerify
  • MobVerifyGUI依赖MobVerify
  • MobVerify依赖MobDependency以及SMSSDK

添加代码

1、配置AndroidManifest.xml:

1-1、添加以下Activity:

1-2、在Application节点下添加以下属性:

1-3、在Application节点下添加以下meta-data::

1-4、关于配置AppKey和AppSecret的说明

配置AppKey和AppSecret有两种方式:

  • 通过AndroidManifest配置
  • 通过代码配置

以上方法择一即可,建议使用第一种方式进行配置。

通过AndroidManifest配置:

(1)在Application节点下添加以下属性:

注意:如果你有自己的Application类,那么也可以让你的Application类继承MobApplication即可。

(2)在Application节点下添加以下子节点:

通过代码配置:

如果选择通过代码配置,则不需要继承MobApplication,只要在使用MovVerify之前(建议在Application的onCreate方法中),调用以下代码:

接下来需要申请必要的权限,初始化MobSDK等操作,该部分内容请参考MobVerify集成文档添加代码部分。

混淆设置

MobVerify已经做了混淆处理,再次混淆会导致不可预期的错误,请在您的混淆脚本中添加如下的配置,跳过对MobVerify的混淆操作:

 

 

相关文档